//
//  ViewController2.swift
//  HelloWorld
//
//  Created by Code Pirate on 16.09.20.
//  Copyright © 2020 Code Pirate. All rights reserved.
//

import UIKit

protocol ViewController3Delegate: AnyObject {
    func viewDidClose(withText text: String?)
}

class ViewController2: UIViewController {
    weak var delegate: ViewController3Delegate?

    @IBOutlet weak var textField: UITextField!
    @IBOutlet weak var textLabel: UILabel!
    @IBOutlet weak var closeButton: UIButton!
    var text: String!
    override func viewDidLoad() {
        super.viewDidLoad()
        textLabel.text = text
        // Do any additional setup after loading the view.
    }
    
    @IBAction func closeScreen(sender: UIButton) {
        delegate?.viewDidClose(withText: textField.text)
        dismiss(animated: true, completion: nil)
    }

}
